{
    // Editor
    "editor.bracketPairColorization.enabled": true,
    "editor.guides.bracketPairs": "active",
    "files.associations": {
        "./requirements/*.txt": "pip-requirements",
        "metadata.txt": "ini",
        "**/*.ts": "xml",
        "**/*.ui": "xml"
    },
    // Python
    "python.analysis.autoFormatStrings": false, // breaking PyQt translation
    "python.analysis.typeCheckingMode": "basic",
    "python.defaultInterpreterPath": ".venv/bin/python",
    "python.terminal.activateEnvInCurrentTerminal": true,
    "python.terminal.activateEnvironment": true,
    "[python]": {
        "editor.defaultFormatter": "ms-python.black-formatter",
        "editor.formatOnSave": true,
        "editor.codeActionsOnSave": {
            "source.organizeImports": "explicit"
        },
        "editor.rulers": [
            88
        ],
        "editor.wordWrapColumn": 88,
    },
    // Linter
    "flake8.args": [
        "--config=setup.cfg",
        "--verbose"
    ],
    // Test
    "python.testing.pytestEnabled": true,
    "python.testing.pytestArgs": [
        "-c",
        "setup.cfg"
    ],
    "python.testing.unittestEnabled": false,
    // Extensions
    "autoDocstring.docstringFormat": "sphinx",
    "autoDocstring.guessTypes": true
}
